Get Rules Audit

Get Rules Audit
Retrieves Customer Rules Audit data

Get customer rules audit per type.

Request
URI
GET
https://umip/api/v1/rules/audit
COPY
Query Parameters
string
reportType
Required

The audit report type of customer rules.

Possible values are : mappedVMs, unmappedVMs, unmappedRules, overlappedRules,
integer
productId
Required
Constraints: minimum: 1

The audit product id of customer rules.

string
productType
Required

The audit product type of customer rules.

Possible values are : vCenter, VCD,
integer
limit
Optional
Constraints: minimum: 1

The audit report result limit.

Header Parameters
string
Accept
Optional

The client Accept type - json data or tsv file

Possible values are : application/json, text/tsv,

Authentication
This operation uses the following authentication methods.
Responses
200

OK

{
    "0": {
        "productId": 0,
        "moref": "string",
        "vmId": "string",
        "ruleId": "string",
        "overlaps": [
            "string"
        ],
        "inventoryData": {
            "name": "string",
            "moref": "string"
        },
        "ruleData": {
            "productType": "string",
            "productId": 0,
            "name": "string",
            "targetId": "string",
            "targetType": "string",
            "id": "string"
        }
    }
}

Response Headers

string
Content-Type

Type of the content - application/json or text/tsv

string
Content-Disposition

If accept is text/tsv, this specifies that the content is an attachment, that is downloaded

string
Last-Modified

Date string when the customer rules report was generated


204

OK - no content

Operation doesn't return any data structure

401

Provided access token is missing or invalid.

Operation doesn't return any data structure

Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/api/v1/rules/audit?reportType=value&productId=value&productType=v